waf3策列组¶
POST 创建访问控制规则¶
POST /prod-api/waf/wafv3/acl/createWebACL
Body 请求参数
{
"aclName": "测试",
"domainIds": [215, 219],
"aclStatus": "DetectionOnly",
"paranoiaLevel": "lenient",
"oid": "2024012345679097884616"
}
请求参数¶
| 名称 | 位置 | 类型 | 必选 | 中文名 | 说明 |
|---|---|---|---|---|---|
| Authorization | header | string | 是 | - | |
| body | body | CreateWebACLVO | 是 | CreateWebACLVO | - |
返回示例
200 Response
201 Response
返回结果¶
| 状态码 | 状态码含义 | 说明 | 数据模型 |
|---|---|---|---|
| 200 | OK | - | Inline |
| 201 | Created | - | Inline |
| 401 | Unauthorized | - | Inline |
| 403 | Forbidden | - | Inline |
| 404 | Not Found | - | Inline |
返回数据结构¶
状态码 200
| 名称 | 类型 | 必选 | 约束 | 中文名 | 说明 |
|---|---|---|---|---|---|
| » additionalProperties | object | false | - | - |
数据模型¶
CreateWebACLVO
{
"aclName": "string",
"aclStatus": "string",
"domainIds": [0],
"oid": "string",
"paranoiaLevel": "string",
"remark": "string"
}
CreateWebACLVO
属性¶
| 名称 | 类型 | 必选 | 约束 | 中文名 | 说明 |
|---|---|---|---|---|---|
| aclName | string | true | - | 策略组名称 | - |
| aclStatus | string | true | - | 策略组状态 | 取值有: On:表示开启; Off:表示关闭; DetectionOnly:表示仅记录。 |
| domainIds | [integer] | true | - | 关联域名ids | - |
| oid | string | true | - | 套餐 | - |
| paranoiaLevel | string | true | - | 防护等级 | 取值有: lenient:表示宽松模式; balanced:表示平衡模式; danger:表示严格模式。 |
| remark | string | false | - | 备注 | - |